#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_007.ps
projection=-JX18/12
region=-R1/30/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 007' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.573     1.000
     0.136     2.000
     0.301     3.000
     0.034     4.000
     0.279     5.000
     0.593     6.000
     0.907     7.000
     1.221     8.000
     1.534     9.000
     1.848    10.000
     2.162    11.000
     2.476    12.000
     2.847    13.000
     3.161    14.000
     3.471    15.000
     3.778    16.000
     4.088    17.000
     4.398    18.000
     4.709    19.000
     5.020    20.000
     5.288    21.000
     5.556    22.000
     5.825    23.000
     6.094    24.000
     6.363    25.000
     6.632    26.000
     7.062    27.000
     7.211    28.000
     7.488    29.000
     7.764    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.573     1.000
     0.136     2.000
     0.301     3.000
     0.034     4.000
     0.279     5.000
     0.593     6.000
     0.907     7.000
     1.221     8.000
     1.534     9.000
     1.848    10.000
     2.162    11.000
     2.476    12.000
     2.847    13.000
     3.161    14.000
     3.471    15.000
     3.778    16.000
     4.088    17.000
     4.398    18.000
     4.709    19.000
     5.020    20.000
     5.288    21.000
     5.556    22.000
     5.825    23.000
     6.094    24.000
     6.363    25.000
     6.632    26.000
     7.062    27.000
     7.211    28.000
     7.488    29.000
     7.764    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.774     4.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.674     4.000
     3.674     4.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.674     4.000
     3.674    10.000
     1.674    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.674     4.000
     3.674     1.000
     1.674     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     1.674     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.674     1.000
     1.674    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.674     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     1.674    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20030927.1303.08
     9.680     2.000 Depth of minimum misfit =   4 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
