#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_008.ps
projection=-JX18/12
region=-R1/32/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 008' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.142     1.000
     1.780     2.000
     1.459     3.000
     1.160     4.000
     0.860     5.000
     0.646     6.000
     0.624     7.000
     0.765     8.000
     0.932     9.000
     1.104    10.000
     1.324    11.000
     1.583    12.000
     1.822    13.000
     2.076    14.000
     2.343    15.000
     2.620    16.000
     2.760    17.000
     3.028    18.000
     3.323    19.000
     3.621    20.000
     3.921    21.000
     4.184    22.000
     4.448    23.000
     4.711    24.000
     5.020    25.000
     5.337    26.000
     5.600    27.000
     5.864    28.000
     6.143    29.000
     6.407    30.000
     6.695    31.000
     6.973    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     5.554     1.000
     4.250     2.000
     3.332     3.000
     2.704     4.000
     1.858     5.000
     1.470     6.000
     1.620     7.000
     2.091     8.000
     2.333     9.000
     2.589    10.000
     3.123    11.000
     4.000    12.000
     4.722    13.000
     5.448    14.000
     6.169    15.000
     7.092    16.000
     7.702    17.000
     8.528    18.000
     9.464    19.000
    10.400    20.000
    11.353    21.000
    12.166    22.000
    12.979    23.000
    13.790    24.000
    14.734    25.000
    15.674    26.000
    16.481    27.000
    17.286    28.000
    18.155    29.000
    18.958    30.000
    19.824    31.000
    20.670    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.360     7.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.260     7.000
     5.260     7.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.260     7.000
     5.260    12.000
     3.260    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.260     7.000
     5.260     3.000
     3.260     3.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     3.260     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.260     3.000
     3.260    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     3.260     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     3.260    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20030927.1316.44
    11.440     2.000 Depth of minimum misfit =   7 km on  9 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
