#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_010.ps
projection=-JX18/12
region=-R1/30/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 010' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.648     1.000
     1.313     2.000
     1.112     3.000
     0.933     4.000
     0.861     5.000
     0.890     6.000
     1.017     7.000
     1.201     8.000
     1.414     9.000
     1.658    10.000
     1.899    11.000
     2.161    12.000
     2.437    13.000
     2.723    14.000
     3.015    15.000
     3.294    16.000
     3.595    17.000
     3.885    18.000
     4.191    19.000
     4.522    20.000
     4.794    21.000
     5.067    22.000
     5.359    23.000
     5.633    24.000
     5.907    25.000
     6.199    26.000
     6.473    27.000
     6.747    28.000
     7.022    29.000
     7.297    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     4.033     1.000
     3.198     2.000
     2.764     3.000
     2.132     4.000
     2.072     5.000
     2.103     6.000
     2.101     7.000
     2.541     8.000
     3.304     9.000
     4.090    10.000
     4.828    11.000
     5.565    12.000
     6.510    13.000
     7.470    14.000
     8.431    15.000
     9.331    16.000
    10.292    17.000
    11.192    18.000
    12.152    19.000
    13.167    20.000
    14.013    21.000
    14.857    22.000
    15.764    23.000
    16.605    24.000
    17.445    25.000
    18.349    26.000
    19.186    27.000
    20.022    28.000
    20.858    29.000
    21.694    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.812     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.712     5.000
     5.712     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.712     5.000
     5.712    10.000
     3.712    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.712     5.000
     5.712     1.000
     3.712     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     3.712     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.712     1.000
     3.712    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     3.712     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     3.712    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20030927.1531.23
    11.440     2.000 Depth of minimum misfit =   5 km on  9 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
