#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_011.ps
projection=-JX18/12
region=-R1/33/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 011' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.778     1.000
     1.426     2.000
     1.135     3.000
     0.818     4.000
     0.511     5.000
     0.336     6.000
     0.497     7.000
     0.815     8.000
     0.975     9.000
     1.201    10.000
     1.423    11.000
     1.673    12.000
     1.940    13.000
     2.220    14.000
     2.504    15.000
     2.789    16.000
     3.082    17.000
     3.377    18.000
     3.674    19.000
     3.973    20.000
     4.259    21.000
     4.519    22.000
     4.779    23.000
     5.040    24.000
     5.382    25.000
     5.641    26.000
     5.900    27.000
     6.159    28.000
     6.419    29.000
     6.678    30.000
     6.937    31.000
     7.197    32.000
     7.495    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.150     1.000
     1.536     2.000
     1.312     3.000
     0.893     4.000
     0.554     5.000
     0.471     6.000
     0.586     7.000
     1.111     8.000
     1.226     9.000
     1.278    10.000
     1.553    11.000
     1.988    12.000
     2.423    13.000
     2.862    14.000
     3.298    15.000
     3.727    16.000
     4.161    17.000
     4.595    18.000
     5.030    19.000
     5.465    20.000
     5.891    21.000
     6.265    22.000
     6.638    23.000
     7.013    24.000
     7.486    25.000
     7.858    26.000
     8.229    27.000
     8.600    28.000
     8.971    29.000
     9.341    30.000
     9.711    31.000
    10.081    32.000
    10.515    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.211     6.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.111     6.000
     4.111     6.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.111     6.000
     4.111    13.000
     2.111    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.111     6.000
     4.111     1.000
     2.111     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     2.111     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.111     1.000
     2.111    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     2.111     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     2.111    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20030927.1549.06
    10.560     2.000 Depth of minimum misfit =   6 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
