#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_013.ps
projection=-JX18/12
region=-R1/28/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 013' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.204     1.000
     0.980     2.000
     0.886     3.000
     0.900     4.000
     1.030     5.000
     1.221     6.000
     1.430     7.000
     1.676     8.000
     1.925     9.000
     2.178    10.000
     2.443    11.000
     2.693    12.000
     2.941    13.000
     3.222    14.000
     3.505    15.000
     3.886    16.000
     4.177    17.000
     4.471    18.000
     4.766    19.000
     5.062    20.000
     5.319    21.000
     5.575    22.000
     5.853    23.000
     6.111    24.000
     6.369    25.000
     6.627    26.000
     6.886    27.000
     7.187    28.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.482     1.000
     2.231     2.000
     2.096     3.000
     2.085     4.000
     2.398     5.000
     2.827     6.000
     3.204     7.000
     3.967     8.000
     4.721     9.000
     5.368    10.000
     6.118    11.000
     6.873    12.000
     7.499    13.000
     8.373    14.000
     9.246    15.000
    10.348    16.000
    11.224    17.000
    12.100    18.000
    12.974    19.000
    13.847    20.000
    14.601    21.000
    15.353    22.000
    16.173    23.000
    16.923    24.000
    17.671    25.000
    18.419    26.000
    19.166    27.000
    20.022    28.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.836     4.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.736     4.000
     5.736     4.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.736     4.000
     5.736     8.000
     3.736     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.736     4.000
     5.736     1.000
     3.736     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     3.000
     3.736     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.736     1.000
     3.736     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     3.736     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     8.000
     3.736     8.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20030927.2030.24
    11.440     2.000 Depth of minimum misfit =   3 km on  8 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
