#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_020.ps
projection=-JX18/12
region=-R1/31/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 020' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.731     1.000
     1.473     2.000
     1.238     3.000
     1.038     4.000
     0.987     5.000
     1.031     6.000
     1.183     7.000
     1.410     8.000
     1.742     9.000
     1.995    10.000
     2.217    11.000
     2.457    12.000
     2.709    13.000
     2.976    14.000
     3.245    15.000
     3.513    16.000
     3.791    17.000
     4.074    18.000
     4.359    19.000
     4.647    20.000
     4.924    21.000
     5.181    22.000
     5.440    23.000
     5.699    24.000
     5.959    25.000
     6.219    26.000
     6.481    27.000
     6.742    28.000
     7.005    29.000
     7.267    30.000
     7.531    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.973     1.000
     1.548     2.000
     1.477     3.000
     1.407     4.000
     1.636     5.000
     1.745     6.000
     1.855     7.000
     1.992     8.000
     2.684     9.000
     3.105    10.000
     3.279    11.000
     3.479    12.000
     4.001    13.000
     4.532    14.000
     5.056    15.000
     5.569    16.000
     6.093    17.000
     6.617    18.000
     7.141    19.000
     7.667    20.000
     8.183    21.000
     8.644    22.000
     9.105    23.000
     9.567    24.000
    10.028    25.000
    10.491    26.000
    10.953    27.000
    11.416    28.000
    11.879    29.000
    12.342    30.000
    12.806    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.376     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.276     5.000
     5.276     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.276     5.000
     5.276    11.000
     3.276    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.276     5.000
     5.276     1.000
     3.276     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     3.276     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.276     1.000
     3.276    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     3.276     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     3.276    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20030929.1527.01
    11.440     2.000 Depth of minimum misfit =   5 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
