#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_021.ps
projection=-JX18/12
region=-R1/26/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 021' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.103     1.000
     0.248     2.000
     0.546     3.000
     0.848     4.000
     1.152     5.000
     1.455     6.000
     1.759     7.000
     2.063     8.000
     2.366     9.000
     2.669    10.000
     3.081    11.000
     3.388    12.000
     3.694    13.000
     4.002    14.000
     4.307    15.000
     4.608    16.000
     4.912    17.000
     5.215    18.000
     5.518    19.000
     5.822    20.000
     6.080    21.000
     6.339    22.000
     6.641    23.000
     6.913    24.000
     7.187    25.000
     7.460    26.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.108     1.000
     0.334     2.000
     0.765     3.000
     1.195     4.000
     1.625     5.000
     2.055     6.000
     2.485     7.000
     2.915     8.000
     3.344     9.000
     3.773    10.000
     4.356    11.000
     4.790    12.000
     5.223    13.000
     5.658    14.000
     6.090    15.000
     6.516    16.000
     6.946    17.000
     7.375    18.000
     7.804    19.000
     8.233    20.000
     8.598    21.000
     8.964    22.000
     9.392    23.000
     9.776    24.000
    10.163    25.000
    10.550    26.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.848     1.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.748     1.000
     3.748     1.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.748     1.000
     3.748     6.000
     1.748     6.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     1.000
     1.748     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.748     1.000
     1.748     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.748     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     6.000
     1.748     6.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20030929.1705.19
     9.680     2.000 Depth of minimum misfit =   1 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
