#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_026.ps
projection=-JX18/12
region=-R1/26/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 026' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.213     1.000
     0.239     2.000
     0.465     3.000
     0.720     4.000
     1.110     5.000
     1.401     6.000
     1.696     7.000
     1.994     8.000
     2.293     9.000
     2.593    10.000
     2.894    11.000
     3.195    12.000
     3.497    13.000
     3.804    14.000
     4.107    15.000
     4.406    16.000
     4.796    17.000
     5.097    18.000
     5.397    19.000
     5.699    20.000
     5.956    21.000
     6.213    22.000
     6.471    23.000
     6.730    24.000
     6.988    25.000
     7.246    26.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.317     1.000
     0.336     2.000
     0.669     3.000
     1.122     4.000
     1.844     5.000
     2.365     6.000
     2.888     7.000
     3.410     8.000
     3.934     9.000
     4.458    10.000
     4.982    11.000
     5.507    12.000
     6.033    13.000
     6.566    14.000
     7.093    15.000
     7.613    16.000
     8.289    17.000
     8.811    18.000
     9.332    19.000
     9.856    20.000
    10.301    21.000
    10.748    22.000
    11.194    23.000
    11.644    24.000
    12.091    25.000
    12.539    26.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.057     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.957     5.000
     3.957     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.957     5.000
     3.957    11.000
     1.957    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.957     5.000
     3.957     1.000
     1.957     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     1.000
     1.957     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.957     1.000
     1.957     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.957     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     6.000
     1.957     6.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20031001.0317.32
     9.680     2.000 Depth of minimum misfit =   1 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
