#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_027.ps
projection=-JX18/12
region=-R1/29/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 027' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.478     1.000
     1.236     2.000
     1.011     3.000
     0.865     4.000
     0.828     5.000
     0.946     6.000
     1.149     7.000
     1.407     8.000
     1.660     9.000
     1.906    10.000
     2.154    11.000
     2.415    12.000
     2.685    13.000
     2.965    14.000
     3.247    15.000
     3.541    16.000
     3.836    17.000
     4.133    18.000
     4.436    19.000
     4.743    20.000
     5.005    21.000
     5.214    22.000
     5.478    23.000
     5.742    24.000
     6.007    25.000
     6.302    26.000
     6.567    27.000
     6.774    28.000
     7.040    29.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.458     1.000
     2.027     2.000
     1.705     3.000
     1.860     4.000
     2.047     5.000
     2.337     6.000
     2.700     7.000
     3.310     8.000
     3.977     9.000
     4.435    10.000
     4.928    11.000
     5.598    12.000
     6.403    13.000
     7.218    14.000
     8.024    15.000
     8.847    16.000
     9.668    17.000
    10.488    18.000
    11.329    19.000
    12.183    20.000
    12.892    21.000
    13.473    22.000
    14.186    23.000
    14.897    24.000
    15.610    25.000
    16.396    26.000
    17.107    27.000
    17.677    28.000
    18.389    29.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.787     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.687     5.000
     5.687     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.687     5.000
     5.687     9.000
     3.687     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.687     5.000
     5.687     1.000
     3.687     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     3.687     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.687     1.000
     3.687     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     3.687     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     9.000
     3.687     9.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20031001.0358.45
    11.440     2.000 Depth of minimum misfit =   5 km on  7 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
