#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_028.ps
projection=-JX18/12
region=-R1/27/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 028' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.955     1.000
     0.805     2.000
     0.743     3.000
     0.819     4.000
     1.002     5.000
     1.247     6.000
     1.523     7.000
     1.775     8.000
     2.125     9.000
     2.398    10.000
     2.673    11.000
     2.954    12.000
     3.240    13.000
     3.531    14.000
     3.823    15.000
     4.113    16.000
     4.408    17.000
     4.704    18.000
     5.001    19.000
     5.300    20.000
     5.594    21.000
     5.853    22.000
     6.111    23.000
     6.371    24.000
     6.629    25.000
     6.905    26.000
     7.165    27.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.186     1.000
     1.212     2.000
     1.419     3.000
     1.752     4.000
     2.084     5.000
     2.477     6.000
     3.200     7.000
     3.677     8.000
     4.259     9.000
     4.822    10.000
     5.430    11.000
     6.118    12.000
     6.806    13.000
     7.497    14.000
     8.185    15.000
     8.864    16.000
     9.549    17.000
    10.234    18.000
    10.917    19.000
    11.602    20.000
    12.269    21.000
    12.860    22.000
    13.449    23.000
    14.040    24.000
    14.629    25.000
    15.270    26.000
    15.859    27.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.159     3.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.059     3.000
     5.059     3.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.059     3.000
     5.059     7.000
     3.059     7.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.059     3.000
     5.059     1.000
     3.059     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     3.000
     3.059     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.059     1.000
     3.059     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     3.059     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     7.000
     3.059     7.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20031001.0544.05
    11.440     2.000 Depth of minimum misfit =   3 km on  5 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
