#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_029.ps
projection=-JX18/12
region=-R1/32/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 029' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.821     1.000
     1.427     2.000
     1.062     3.000
     0.769     4.000
     0.465     5.000
     0.162     6.000
     0.411     7.000
     0.677     8.000
     0.815     9.000
     1.028    10.000
     1.278    11.000
     1.548    12.000
     1.829    13.000
     2.117    14.000
     2.409    15.000
     2.702    16.000
     2.998    17.000
     3.296    18.000
     3.653    19.000
     3.956    20.000
     4.219    21.000
     4.483    22.000
     4.748    23.000
     5.013    24.000
     5.279    25.000
     5.545    26.000
     5.810    27.000
     6.078    28.000
     6.346    29.000
     6.518    30.000
     6.786    31.000
     7.053    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.406     1.000
     1.797     2.000
     1.188     3.000
     0.920     4.000
     0.580     5.000
     0.221     6.000
     0.541     7.000
     0.920     8.000
     0.920     9.000
     1.126    10.000
     1.557    11.000
     1.987    12.000
     2.418    13.000
     2.850    14.000
     3.280    15.000
     3.709    16.000
     4.139    17.000
     4.570    18.000
     5.083    19.000
     5.519    20.000
     5.896    21.000
     6.273    22.000
     6.652    23.000
     7.029    24.000
     7.408    25.000
     7.788    26.000
     8.165    27.000
     8.546    28.000
     8.927    29.000
     9.172    30.000
     9.552    31.000
     9.932    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.961     6.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.861     6.000
     3.861     6.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.861     6.000
     3.861    12.000
     1.861    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.861     6.000
     3.861     1.000
     1.861     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.861     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.861     1.000
     1.861    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.861     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     1.861    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20031001.0809.10
     9.680     2.000 Depth of minimum misfit =   6 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
