#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_056.ps
projection=-JX18/12
region=-R1/34/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 056' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.722     1.000
     1.285     2.000
     0.848     3.000
     0.410     4.000
     0.027     5.000
     0.464     6.000
     0.311     7.000
     0.002     8.000
     0.315     9.000
     0.628    10.000
     0.940    11.000
     1.252    12.000
     1.565    13.000
     1.878    14.000
     2.264    15.000
     2.572    16.000
     2.884    17.000
     3.196    18.000
     3.508    19.000
     3.821    20.000
     4.092    21.000
     4.363    22.000
     4.583    23.000
     4.854    24.000
     5.125    25.000
     5.396    26.000
     5.666    27.000
     5.921    28.000
     6.199    29.000
     6.476    30.000
     6.754    31.000
     7.032    32.000
     7.309    33.000
     7.587    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.722     1.000
     1.285     2.000
     0.848     3.000
     0.410     4.000
     0.027     5.000
     0.464     6.000
     0.311     7.000
     0.002     8.000
     0.315     9.000
     0.628    10.000
     0.940    11.000
     1.252    12.000
     1.565    13.000
     1.878    14.000
     2.264    15.000
     2.572    16.000
     2.884    17.000
     3.196    18.000
     3.508    19.000
     3.821    20.000
     4.092    21.000
     4.363    22.000
     4.583    23.000
     4.854    24.000
     5.125    25.000
     5.396    26.000
     5.666    27.000
     5.921    28.000
     6.199    29.000
     6.476    30.000
     6.754    31.000
     7.032    32.000
     7.309    33.000
     7.587    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.742    13.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.642    13.000
     3.642    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.642    13.000
     3.642    17.000
     1.642    17.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.642    13.000
     3.642     9.000
     1.642     9.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     1.642     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.642     1.000
     1.642    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.642     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     1.642    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20031006.2232.25
     9.680     2.000 Depth of minimum misfit =   8 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
