#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_077.ps
projection=-JX18/12
region=-R1/33/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 077' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.272     1.000
     1.884     2.000
     1.522     3.000
     1.189     4.000
     0.896     5.000
     0.696     6.000
     0.592     7.000
     0.551     8.000
     0.597     9.000
     0.734    10.000
     0.956    11.000
     1.198    12.000
     1.403    13.000
     1.644    14.000
     1.901    15.000
     2.166    16.000
     2.551    17.000
     2.992    18.000
     3.276    19.000
     3.564    20.000
     3.804    21.000
     4.051    22.000
     4.304    23.000
     4.562    24.000
     4.819    25.000
     5.081    26.000
     5.349    27.000
     5.608    28.000
     5.868    29.000
     6.128    30.000
     6.387    31.000
     6.647    32.000
     6.907    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     5.073     1.000
     4.014     2.000
     3.066     3.000
     2.239     4.000
     1.457     5.000
     1.232     6.000
     1.172     7.000
     1.192     8.000
     1.145     9.000
     1.402    10.000
     1.941    11.000
     2.573    12.000
     3.063    13.000
     3.562    14.000
     4.080    15.000
     4.823    16.000
     5.746    17.000
     6.853    18.000
     7.600    19.000
     8.348    20.000
     8.973    21.000
     9.605    22.000
    10.250    23.000
    10.901    24.000
    11.548    25.000
    12.213    26.000
    12.884    27.000
    13.532    28.000
    14.180    29.000
    14.827    30.000
    15.473    31.000
    16.118    32.000
    16.764    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.932     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.832     5.000
     4.832     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.832     5.000
     4.832     9.000
     2.832     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.832     5.000
     4.832     1.000
     2.832     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     2.832     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.832     3.000
     2.832    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.832     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     2.832    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20031013.0526.39
    10.560     2.000 Depth of minimum misfit =   8 km on  6 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
