#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_083.ps
projection=-JX18/12
region=-R1/32/0/13
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 083' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.132     1.000
     1.777     2.000
     1.444     3.000
     1.147     4.000
     0.906     5.000
     0.785     6.000
     0.723     7.000
     0.654     8.000
     0.729     9.000
     0.869    10.000
     1.100    11.000
     1.356    12.000
     1.588    13.000
     1.830    14.000
     2.134    15.000
     2.422    16.000
     2.719    17.000
     3.006    18.000
     3.298    19.000
     3.604    20.000
     3.863    21.000
     4.124    22.000
     4.389    23.000
     4.652    24.000
     4.916    25.000
     5.152    26.000
     5.430    27.000
     5.719    28.000
     5.994    29.000
     6.264    30.000
     6.534    31.000
     6.780    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     5.998     1.000
     4.733     2.000
     3.589     3.000
     2.628     4.000
     1.873     5.000
     2.134     6.000
     2.155     7.000
     1.921     8.000
     1.747     9.000
     2.098    10.000
     3.022    11.000
     3.887    12.000
     4.675    13.000
     5.373    14.000
     6.192    15.000
     7.122    16.000
     8.158    17.000
     9.197    18.000
    10.235    19.000
    11.309    20.000
    12.210    21.000
    13.111    22.000
    14.037    23.000
    14.937    24.000
    15.838    25.000
    16.650    26.000
    17.590    27.000
    18.566    28.000
    19.500    29.000
    20.410    30.000
    21.321    31.000
    22.163    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.661     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     3.561     9.000
     5.561     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.561     9.000
     5.561    13.000
     3.561    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     5.561     9.000
     5.561     5.000
     3.561     5.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     3.561     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     3.561     3.000
     3.561    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     3.561     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     3.561    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Event 20031017.0530.22
    11.440     2.000 Depth of minimum misfit =   8 km on 11 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.400     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.880     2.000 z statistic for depth uncertainty range in red
END
