#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_091.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 091' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.653     1.000
     0.216     2.000
     0.221     3.000
     0.173     4.000
     0.142     5.000
     0.457     6.000
     0.672     7.000
     0.984     8.000
     1.295     9.000
     1.607    10.000
     1.919    11.000
     2.231    12.000
     2.543    13.000
     2.857    14.000
     3.296    15.000
     3.601    16.000
     3.912    17.000
     4.223    18.000
     4.533    19.000
     4.845    20.000
     5.114    21.000
     5.384    22.000
     5.654    23.000
     5.924    24.000
     6.195    25.000
     6.466    26.000
     6.736    27.000
     7.069    28.000
     7.337    29.000
     7.605    30.000
     7.873    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.653     1.000
     0.216     2.000
     0.221     3.000
     0.173     4.000
     0.142     5.000
     0.457     6.000
     0.672     7.000
     0.984     8.000
     1.295     9.000
     1.607    10.000
     1.919    11.000
     2.231    12.000
     2.543    13.000
     2.857    14.000
     3.296    15.000
     3.601    16.000
     3.912    17.000
     4.223    18.000
     4.533    19.000
     4.845    20.000
     5.114    21.000
     5.384    22.000
     5.654    23.000
     5.924    24.000
     6.195    25.000
     6.466    26.000
     6.736    27.000
     7.069    28.000
     7.337    29.000
     7.605    30.000
     7.873    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.882    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.782    11.000
     3.782    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.782    11.000
     3.782    15.000
     1.782    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.782    11.000
     3.782     7.000
     1.782     7.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.782     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.782     1.000
     1.782    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.782     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.782    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20031022.0839.44
     9.680     2.000 Depth of minimum misfit =   5 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
