#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_094.ps
projection=-JX18/12
region=-R1/27/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 094' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.823     1.000
     0.487     2.000
     0.371     3.000
     0.349     4.000
     0.529     5.000
     0.762     6.000
     1.079     7.000
     1.355     8.000
     1.661     9.000
     1.954    10.000
     2.251    11.000
     2.550    12.000
     2.852    13.000
     3.156    14.000
     3.460    15.000
     3.746    16.000
     4.049    17.000
     4.371    18.000
     4.697    19.000
     5.046    20.000
     5.311    21.000
     5.576    22.000
     5.842    23.000
     6.083    24.000
     6.360    25.000
     6.589    26.000
     6.856    27.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.742     1.000
     0.874     2.000
     0.813     3.000
     0.586     4.000
     1.026     5.000
     1.621     6.000
     2.306     7.000
     3.060     8.000
     3.846     9.000
     4.601    10.000
     5.355    11.000
     6.110    12.000
     6.864    13.000
     7.623    14.000
     8.377    15.000
     9.077    16.000
     9.828    17.000
    10.626    18.000
    11.431    19.000
    12.288    20.000
    12.943    21.000
    13.597    22.000
    14.250    23.000
    14.844    24.000
    15.524    25.000
    16.091    26.000
    16.748    27.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.326     8.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.226     8.000
     4.226     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.226     8.000
     4.226    12.000
     2.226    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.226     8.000
     4.226     4.000
     2.226     4.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     2.226     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.226     1.000
     2.226     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     2.226     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     7.000
     2.226     7.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20031023.0025.47
    10.560     2.000 Depth of minimum misfit =   4 km on  6 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
