#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_108.ps
projection=-JX18/12
region=-R1/33/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 108' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.113     1.000
     1.722     2.000
     1.357     3.000
     1.047     4.000
     0.753     5.000
     0.419     6.000
     0.263     7.000
     0.499     8.000
     0.817     9.000
     0.921    10.000
     1.106    11.000
     1.431    12.000
     1.688    13.000
     1.960    14.000
     2.191    15.000
     2.472    16.000
     2.564    17.000
     2.858    18.000
     3.155    19.000
     3.454    20.000
     3.712    21.000
     3.971    22.000
     4.251    23.000
     4.514    24.000
     4.777    25.000
     5.040    26.000
     5.303    27.000
     5.601    28.000
     5.867    29.000
     6.132    30.000
     6.396    31.000
     6.661    32.000
     6.925    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.741     1.000
     2.127     2.000
     1.512     3.000
     1.177     4.000
     0.921     5.000
     0.441     6.000
     0.348     7.000
     0.658     8.000
     1.135     9.000
     1.129    10.000
     1.122    11.000
     1.623    12.000
     2.062    13.000
     2.499    14.000
     2.798    15.000
     3.234    16.000
     3.454    17.000
     3.890    18.000
     4.326    19.000
     4.761    20.000
     5.136    21.000
     5.511    22.000
     5.911    23.000
     6.289    24.000
     6.667    25.000
     7.044    26.000
     7.420    27.000
     7.855    28.000
     8.234    29.000
     8.612    30.000
     8.990    31.000
     9.367    32.000
     9.743    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.088    13.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.988    13.000
     3.988    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.988    13.000
     3.988    17.000
     1.988    17.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.988    13.000
     3.988     9.000
     1.988     9.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     1.988     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.988     2.000
     1.988    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.988     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     1.988    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20031111.2242.32
     9.680     2.000 Depth of minimum misfit =   7 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
