#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_181.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 181' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.991     1.000
     0.553     2.000
     0.115     3.000
     0.322     4.000
     0.098     5.000
     0.217     6.000
     0.533     7.000
     0.848     8.000
     1.163     9.000
     1.478    10.000
     1.793    11.000
     2.108    12.000
     2.423    13.000
     2.737    14.000
     3.052    15.000
     3.487    16.000
     3.801    17.000
     4.116    18.000
     4.430    19.000
     4.744    20.000
     5.018    21.000
     5.291    22.000
     5.564    23.000
     5.837    24.000
     6.110    25.000
     6.383    26.000
     6.657    27.000
     6.930    28.000
     7.211    29.000
     7.215    30.000
     7.492    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.991     1.000
     0.553     2.000
     0.115     3.000
     0.322     4.000
     0.098     5.000
     0.217     6.000
     0.533     7.000
     0.848     8.000
     1.163     9.000
     1.478    10.000
     1.793    11.000
     2.108    12.000
     2.423    13.000
     2.737    14.000
     3.052    15.000
     3.487    16.000
     3.801    17.000
     4.116    18.000
     4.430    19.000
     4.744    20.000
     5.018    21.000
     5.291    22.000
     5.564    23.000
     5.837    24.000
     6.110    25.000
     6.383    26.000
     6.657    27.000
     6.930    28.000
     7.211    29.000
     7.215    30.000
     7.492    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.838     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.738     9.000
     3.738     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.738     9.000
     3.738    12.000
     1.738    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.738     9.000
     3.738     6.000
     1.738     6.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.738     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.738     1.000
     1.738    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.738     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.738    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20070203.1755.46
     9.680     2.000 Depth of minimum misfit =   5 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
