#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_195.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 195' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.422     1.000
     1.016     2.000
     0.649     3.000
     0.418     4.000
     0.039     5.000
     0.340     6.000
     0.443     7.000
     0.627     8.000
     0.885     9.000
     1.170    10.000
     1.466    11.000
     1.767    12.000
     2.072    13.000
     2.377    14.000
     2.684    15.000
     3.035    16.000
     3.341    17.000
     3.648    18.000
     3.992    19.000
     4.300    20.000
     4.566    21.000
     4.832    22.000
     5.098    23.000
     5.365    24.000
     5.632    25.000
     5.897    26.000
     6.170    27.000
     6.443    28.000
     6.716    29.000
     6.989    30.000
     7.263    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.911     1.000
     1.295     2.000
     0.677     3.000
     0.583     4.000
     0.055     5.000
     0.472     6.000
     0.580     7.000
     0.676     8.000
     1.117     9.000
     1.558    10.000
     1.998    11.000
     2.439    12.000
     2.879    13.000
     3.318    14.000
     3.758    15.000
     4.253    16.000
     4.691    17.000
     5.129    18.000
     5.624    19.000
     6.062    20.000
     6.439    21.000
     6.817    22.000
     7.196    23.000
     7.574    24.000
     7.953    25.000
     8.329    26.000
     8.715    27.000
     9.101    28.000
     9.488    29.000
     9.875    30.000
    10.262    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.795     8.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.695     8.000
     3.695     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.695     8.000
     3.695    11.000
     1.695    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.695     8.000
     3.695     5.000
     1.695     5.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.695     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.695     1.000
     1.695    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.695     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.695    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080422.0330.04
     9.680     2.000 Depth of minimum misfit =   5 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
