#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_275.ps
projection=-JX18/12
region=-R1/34/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 275' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.574     1.000
     2.184     2.000
     1.813     3.000
     1.476     4.000
     1.203     5.000
     0.922     6.000
     0.738     7.000
     0.525     8.000
     0.466     9.000
     0.642    10.000
     0.927    11.000
     1.202    12.000
     1.366    13.000
     1.574    14.000
     1.811    15.000
     2.028    16.000
     2.325    17.000
     2.615    18.000
     2.911    19.000
     3.209    20.000
     3.475    21.000
     3.741    22.000
     4.009    23.000
     4.275    24.000
     4.490    25.000
     4.756    26.000
     5.023    27.000
     5.290    28.000
     5.520    29.000
     5.787    30.000
     6.054    31.000
     6.322    32.000
     6.589    33.000
     6.857    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     4.098     1.000
     3.347     2.000
     2.597     3.000
     1.847     4.000
     1.594     5.000
     1.089     6.000
     1.050     7.000
     0.867     8.000
     0.622     9.000
     0.856    10.000
     1.465    11.000
     1.960    12.000
     2.142    13.000
     2.323    14.000
     2.505    15.000
     3.019    16.000
     3.592    17.000
     4.146    18.000
     4.698    19.000
     5.248    20.000
     5.732    21.000
     6.212    22.000
     6.692    23.000
     7.168    24.000
     7.537    25.000
     8.009    26.000
     8.481    27.000
     8.952    28.000
     9.371    29.000
     9.841    30.000
    10.311    31.000
    10.781    32.000
    11.250    33.000
    11.720    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.362     8.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.262     8.000
     4.262     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.262     8.000
     4.262    12.000
     2.262    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.262     8.000
     4.262     4.000
     2.262     4.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     9.000
     2.262     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.262     3.000
     2.262    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.262     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     2.262    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20150203.2247.39
    10.560     2.000 Depth of minimum misfit =   9 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
