#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_rdp_359.ps
projection=-JX18/12
region=-R1/31/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases altai1.21 Event 359' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.171     1.000
     0.878     2.000
     0.560     3.000
     0.364     4.000
     0.477     5.000
     0.774     6.000
     0.917     7.000
     1.119     8.000
     1.359     9.000
     1.620    10.000
     1.894    11.000
     2.176    12.000
     2.463    13.000
     2.800    14.000
     3.098    15.000
     3.300    16.000
     3.598    17.000
     3.898    18.000
     4.199    19.000
     4.500    20.000
     4.761    21.000
     5.023    22.000
     5.285    23.000
     5.548    24.000
     5.811    25.000
     6.041    26.000
     6.305    27.000
     6.571    28.000
     6.836    29.000
     7.102    30.000
     7.367    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.271     1.000
     1.030     2.000
     0.604     3.000
     0.514     4.000
     0.523     5.000
     1.041     6.000
     1.061     7.000
     1.174     8.000
     1.602     9.000
     2.031    10.000
     2.460    11.000
     2.889    12.000
     3.318    13.000
     3.816    14.000
     4.250    15.000
     4.545    16.000
     4.977    17.000
     5.410    18.000
     5.843    19.000
     6.276    20.000
     6.649    21.000
     7.024    22.000
     7.399    23.000
     7.773    24.000
     8.149    25.000
     8.477    26.000
     8.853    27.000
     9.231    28.000
     9.610    29.000
     9.987    30.000
    10.365    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.254     5.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.154     5.000
     4.154     5.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.154     5.000
     4.154     9.000
     2.154     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.154     5.000
     4.154     1.000
     2.154     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     2.154     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.154     1.000
     2.154    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     2.154     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     2.154    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20190913.0429.47
    10.560     2.000 Depth of minimum misfit =   4 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
