#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=altai1.21_dcal.ps
projection=-JM16.0c+
region=-R83.8/92.5/47.4/52.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration altai1.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.329    87.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.329    87.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.329    87.685
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.297    87.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.297    87.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.297    87.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.238    87.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.238    87.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.238    87.842
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.229    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.218    87.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.176    87.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.147    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.147    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.086    87.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.157    87.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.001    87.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.001    87.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.906    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.906    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.901    88.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.901    88.129
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.210    87.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.130    87.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.130    87.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.926    88.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.176    87.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.201    87.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.776    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.776    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.160    87.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.160    87.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.999    87.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.999    87.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.815    87.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.815    87.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.140    87.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.140    87.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.929    88.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.929    88.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.216    87.562
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.111    87.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.038    87.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.038    87.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.823    88.288
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.823    88.288
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.867    87.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.867    87.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.196    87.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.201    87.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.127    87.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.270    87.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.959    88.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.959    88.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.230    87.511
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.120    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.120    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.009    88.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.009    88.085
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.866
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.237    87.500
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.291    87.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.058    87.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.058    87.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.141    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.229    87.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.973    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.973    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.181    87.697
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.024    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.024    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.186    87.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.221    87.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.035    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.035    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.241    87.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.197    87.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.216    87.514
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.832    88.240
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.832    88.240
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.211    87.544
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.028    87.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.028    87.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.156    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.936    88.096
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.936    88.096
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.225    87.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.919    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.919    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.905    88.127
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.865    88.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.865    88.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.235    87.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.090    87.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.987    87.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.987    87.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.836    88.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.836    88.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.031    87.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.031    87.856
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.863    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.863    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.290    87.488
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.167    87.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.822    88.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.822    88.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.932    88.273
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.932    88.273
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.149    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.149    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.043    87.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.043    87.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.873    88.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.873    88.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.876    88.262
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.876    88.262
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.033    87.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.033    87.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.919    87.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.261    87.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.259    87.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.885    87.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.885    87.721
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.139    87.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.139    87.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.671    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.671    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.126    87.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.126    87.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.069    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.069    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.123    87.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.123    87.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.182    87.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.174    87.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.022    87.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.022    87.707
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.101    87.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.907    88.127
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.907    88.127
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.921    88.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.921    88.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.008    87.889
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.008    87.889
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.922    88.093
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.922    88.093
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.109    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.927    88.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.927    88.264
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.136    87.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.863    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.863    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.861    88.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.861    88.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.816    87.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.942    88.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.942    88.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.320    87.456
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.848    88.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.848    88.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.960    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.960    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.717    87.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.717    87.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.154    87.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.943    89.019
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.943    89.019
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.206    87.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.847    88.277
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.847    88.277
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.970    87.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.970    87.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.259    87.520
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.707    87.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.707    87.765
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.926    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.184    87.625
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.084    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.029    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.036    87.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.036    87.549
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    88.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    88.032
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.896    88.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.896    88.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.902    87.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.126    87.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.852    88.280
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.852    88.280
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.274    87.526
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.284    87.536
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.281    87.514
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.859    88.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.859    88.181
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.286    87.527
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.723    87.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.050    87.780
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.094    87.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.054    87.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.067    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.939    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.939    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.861    88.243
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.861    88.243
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.131    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.162    87.470
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.973    88.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.134    87.512
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.224    87.715
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.039    87.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.039    87.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.052    87.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.052    87.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.035    87.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.035    87.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.849    87.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.849    87.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.928    88.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.928    88.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.700    87.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.700    87.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.975    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.975    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.975    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.975    87.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.571    87.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.571    87.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.147    85.465
    50.571    87.142
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.093    87.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.093    87.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.857    88.081
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.857    88.081
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.877    87.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.043    87.868
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.821    88.233
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.821    88.233
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.185    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.185    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.294    87.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.294    87.513
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.985    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.985    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.301    88.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.301    88.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.533    87.402
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.533    87.402
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.343    87.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.343    87.469
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.039    87.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.504
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.752    86.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.752    86.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.108    87.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.108    87.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.878    87.126
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.878    87.126
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.869    88.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.869    88.312
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.156    88.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.156    88.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.257    87.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.257    87.519
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.132    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.295    87.611
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.992    87.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.992    87.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.830    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.830    88.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.149    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.149    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.961    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.961    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.151    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.558    87.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.558    87.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.994    87.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.994    87.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.132    87.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.132    87.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.219    87.547
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.345    87.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.345    87.719
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.793    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.793    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.032    87.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.032    87.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.253    87.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.253    87.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.144    87.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.144    87.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.184    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.184    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.051    87.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.051    87.542
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    87.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    87.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.699    87.116
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.249    87.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.249    87.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.236    87.597
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.854    88.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.854    88.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.854    88.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.727    87.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.727    87.870
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.111    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.111    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.587    87.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.587    87.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.587    87.330
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    87.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    87.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.550    87.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.550    87.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.834    88.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.834    88.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.834    88.275
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.769    87.648
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.793    87.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.767    87.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.018    87.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.210    87.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.210    87.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.210    87.484
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.822    88.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.128    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.128    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.128    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.577    87.300
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.577    87.300
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.577    87.300
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.077    87.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.020    90.200
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.020    90.200
    50.881    88.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.148    88.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.179    87.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.611    87.419
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.297    87.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.992    87.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.906    87.712
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.896    88.052
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.038    87.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.819    88.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.137    87.730
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.903    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.222    87.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.850    87.919
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.953    87.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.045    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.314    87.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.828    88.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.118    87.734
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.119    87.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.138    87.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.798    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.020    87.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.064    87.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.819    87.377
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.793    87.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.116    87.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.493    87.430
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.254    86.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.565    87.342
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.042    88.394
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.011    87.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.883    88.109
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.136    87.668
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.755    87.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.305    88.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.870    87.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.344    88.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.204    87.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.204    87.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.204    87.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.204    87.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.204    87.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.121    87.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.831    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.800    87.658
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.801    87.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.162    87.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.025    87.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.168    87.690
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.959    88.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.093    87.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.583    87.341
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.536    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.071    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.104    88.814
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.129    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.994    87.907
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.213    88.508
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.477    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.809    87.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.118    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.686    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.125    88.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.467    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.205    87.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.990    88.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.990    88.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.990    88.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.990    88.074
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.134    87.822
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.012    87.497
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.256    87.586
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.989    87.751
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.875    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.844    88.088
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.209    87.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.514    87.378
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.204    87.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.001    87.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.006    87.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.288    88.121
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.288    88.121
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.288    88.121
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.288    88.121
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.170    88.615
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.590    87.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.075    87.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.284    87.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.284    87.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.284    87.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.284    87.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.300    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.300    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.300    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.300    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.300    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.110    87.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.263    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.263    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.263    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.263    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.263    87.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.810    88.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.810    88.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.810    88.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.810    88.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.810    88.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.091    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.091    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.091    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.091    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.883    88.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.883    88.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.883    88.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.883    88.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.883    88.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.478    87.479
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.040    87.786
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.845    88.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.845    88.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.845    88.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.845    88.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.845    88.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.786    86.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.786    86.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.786    86.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.786    86.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.786    86.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.061    87.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.147    87.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.105    87.825
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.023    87.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.994    88.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.164    87.774
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.777    88.467
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.251    88.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.077    87.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.856    88.796
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.017    87.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.013    87.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.018    87.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.158    87.671
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.838    88.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.993    88.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.514    87.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.073    87.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.854    88.149
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.326    87.794
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.959    85.946
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.959    85.946
    50.869    86.711
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.124    87.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.200    87.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.068    87.733
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.817    88.218
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.699    88.334
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.904    88.100
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.018    87.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.973    88.130
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.590    87.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.723    87.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.002    87.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.843    87.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.920    88.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.543    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.100    87.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.914    88.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.551    87.417
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.531    87.439
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.509    87.465
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.526    87.467
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.538    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.529    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.837    88.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.536    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.528    87.440
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.516    87.477
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.504    87.460
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.880    88.117
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.545    87.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.927    88.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.542    87.445
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.540    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.537    87.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.145    87.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.046    88.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.046    88.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.046    88.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.046    88.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.046    88.475
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.445    87.285
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.556    87.434
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.053    88.395
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.531    87.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.526    87.423
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.534    87.405
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.519    87.433
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.892    86.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.515    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.537    87.454
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.527    87.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.533    87.418
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.171    87.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.147    85.465
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.147    85.465
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.798    86.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.699    88.299
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.098    87.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.801    86.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.702    87.438
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.012    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.140    87.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.254    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.254    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.254    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.254    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.254    88.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.556    87.432
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.044    87.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.047    87.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.046    87.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.209    87.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.824    88.490
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.025    87.607
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.850    88.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.845    88.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.520    87.450
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.010    88.383
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.339    87.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.081    87.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.568    87.364
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.134    87.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.186    87.559
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.033    87.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.045    87.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.708    89.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.708    89.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.039    87.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    49.957    88.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.217    86.090
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.623    87.961
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.798    87.281
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.769    87.611
    50.682    87.227
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.313    87.503
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.160    86.330
    49.543    87.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.648    89.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.648    89.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.320    87.620
    49.648    89.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.648    89.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.100    88.350
    49.648    89.095
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.701    87.432
    49.648    89.095
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    50.100    88.350     0.300
    50.160    86.330     0.300
    50.320    87.620     0.300
    51.217    86.090     0.300
    50.147    85.465     0.300
    51.798    87.281     0.300
    49.701    87.432     0.300
    50.623    87.961     0.300
    50.313    87.503     0.300
    51.020    90.200     0.300
    49.777    88.467     0.300
    51.769    87.611     0.300
    51.959    85.946     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.329    87.685     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.297    87.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.238    87.842     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.019    87.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.229    88.508     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.025    87.858     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.938    88.146     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.049    87.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.048    87.873     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.082    87.878     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.909    88.136     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.099    87.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.045    87.851     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.011    87.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.900    88.144     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.078    87.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.985    88.203     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.941    88.123     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.032    87.660     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.007    87.889     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.047    87.819     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.953    87.983     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.163    87.734     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.981    87.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.991    88.176     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.219    87.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.001    87.855     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.147    87.722     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.182    87.627     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.218    87.634     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.153    87.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.986    87.775     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.182    87.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.176    87.679     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.147    87.734     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.086    87.776     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.157    87.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.001    87.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.906    88.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.901    88.129     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.210    87.674     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.130    87.804     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.926    88.182     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.176    87.541     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.201    87.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.776    87.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.160    87.832     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.999    87.913     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.815    87.977     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.140    87.752     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.929    88.097     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.216    87.562     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.111    87.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.038    87.843     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.823    88.288     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.867    87.904     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.196    87.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.201    87.572     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.127    87.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.270    87.512     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.959    88.084     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.230    87.511     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.120    87.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.009    88.085     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.018    87.866     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.237    87.500     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.291    87.475     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.058    87.872     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.141    87.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.229    87.576     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.973    87.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.181    87.697     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.024    87.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.186    87.728     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.221    87.576     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.035    87.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.241    87.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.197    87.599     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.216    87.514     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.832    88.240     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.211    87.544     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.028    87.867     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.156    87.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.936    88.096     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.225    87.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.919    88.260     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.905    88.127     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.865    88.289     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.235    87.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.090    87.782     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.987    87.903     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.836    88.232     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.031    87.856     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.863    88.272     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.290    87.488     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.167    87.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.822    88.206     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.932    88.273     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.149    87.768     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.043    87.991     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.873    88.165     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.876    88.262     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.033    87.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.919    87.924     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.261    87.504     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.259    87.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.885    87.721     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.139    87.909     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.671    87.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.126    87.862     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.069    87.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.123    87.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.182    87.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.174    87.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.022    87.707     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.101    87.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.907    88.127     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.921    88.058     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.008    87.889     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.922    88.093     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.109    87.733     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.927    88.264     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.136    87.863     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.863    88.135     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.861    88.202     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.816    87.846     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.942    88.020     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.320    87.456     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.848    88.269     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.960    87.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.717    87.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.154    87.278     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.943    89.019     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.206    87.508     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.847    88.277     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.970    87.845     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.259    87.520     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.707    87.765     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.926    88.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.184    87.625     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.084    87.865     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.029    87.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.036    87.549     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.002    88.032     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.049    87.622     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.896    88.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.902    87.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.126    87.515     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.852    88.280     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.274    87.526     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.284    87.536     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.281    87.514     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.859    88.181     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.286    87.527     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.723    87.989     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.050    87.780     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.094    87.846     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.054    87.545     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.067    87.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.994    88.387     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.939    88.272     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.861    88.243     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.131    87.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.162    87.470     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.973    88.016     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.134    87.512     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.224    87.715     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.039    87.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.052    87.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.035    87.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.849    87.964     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.928    88.084     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.700    87.821     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.975    87.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.571    87.142     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.093    87.913     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.857    88.081     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.877    87.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.043    87.868     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.821    88.233     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.185    87.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.294    87.513     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.551    87.321     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.985    87.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.301    88.292     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.533    87.402     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.343    87.469     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.039    87.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.018    87.504     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.752    86.929     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.108    87.484     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.878    87.126     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.869    88.312     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.156    88.641     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.257    87.519     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.132    87.825     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.295    87.611     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.992    87.379     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.830    88.272     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.835    88.311     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.149    87.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.961    88.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.151    87.711     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.558    87.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.994    87.349     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.132    87.795     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.219    87.547     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.345    87.719     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.793    88.218     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.032    87.688     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.253    87.582     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.144    87.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.184    87.783     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.051    87.542     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.699    87.116     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.249    87.472     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.236    87.597     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.854    88.289     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.727    87.870     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.111    87.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.587    87.330     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.002    87.957     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.550    87.292     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.834    88.275     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.769    87.648     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.793    87.581     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.767    87.753     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.018    87.897     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.210    87.484     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.822    88.169     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.128    87.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.577    87.300     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.077    87.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.881    88.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.148    88.599     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.179    87.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.611    87.419     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.297    87.939     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.992    87.914     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.906    87.712     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.896    88.052     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.038    87.925     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.819    88.217     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.137    87.730     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.903    88.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.222    87.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.850    87.919     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.953    87.928     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.045    87.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.314    87.525     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.828    88.195     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.118    87.734     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.119    87.722     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.138    87.652     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.798    87.716     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.020    87.425     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.064    87.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.819    87.377     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.793    87.965     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.116    87.755     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.493    87.430     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.254    86.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.565    87.342     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.042    88.394     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.011    87.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.883    88.109     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.136    87.668     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.755    87.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.305    88.067     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.870    87.072     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.344    88.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.204    87.927     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.121    87.711     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.831    87.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.800    87.658     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.801    87.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.162    87.718     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.025    87.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.168    87.690     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.959    88.006     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.093    87.865     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.583    87.341     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.536    87.450     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.071    87.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.104    88.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.129    87.783     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.994    87.907     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.213    88.508     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.477    87.460     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.809    87.895     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.118    87.768     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.686    88.281     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.125    88.138     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.467    87.434     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.205    87.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.990    88.074     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.134    87.822     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.012    87.497     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.256    87.586     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.989    87.751     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.875    88.100     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.844    88.088     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.209    87.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.514    87.378     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.204    87.622     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.001    87.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.006    87.908     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.288    88.121     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.170    88.615     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.590    87.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.075    87.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.284    87.917     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.300    87.876     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.110    87.601     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.263    87.783     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.810    88.105     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.091    87.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.883    88.021     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.478    87.479     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.040    87.786     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.845    88.162     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.786    86.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.061    87.716     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.147    87.790     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.105    87.825     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.023    87.983     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.994    88.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.164    87.774     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.251    88.281     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.077    87.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.856    88.796     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.017    87.878     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.013    87.880     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.018    87.876     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.158    87.671     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.838    88.260     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.993    88.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.514    87.387     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.073    87.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.854    88.149     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.326    87.794     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.869    86.711     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.124    87.789     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.200    87.922     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.068    87.733     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.817    88.218     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.699    88.334     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.904    88.100     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.018    87.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.973    88.130     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.590    87.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.723    87.095     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.002    87.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.843    87.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.920    88.187     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.543    87.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.100    87.429     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.914    88.163     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.551    87.417     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.531    87.439     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.537    87.413     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.509    87.465     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.537    87.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.526    87.467     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.538    87.460     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.529    87.438     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.837    88.193     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.536    87.434     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.528    87.440     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.516    87.477     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.537    87.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.504    87.460     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.880    88.117     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.545    87.427     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.927    88.134     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.542    87.445     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.540    87.454     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.537    87.464     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.145    87.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.046    88.475     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.445    87.285     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.556    87.434     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.053    88.395     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.531    87.412     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.526    87.423     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.534    87.405     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.519    87.433     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.892    86.981     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.515    87.438     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.537    87.454     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.527    87.421     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.533    87.418     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.171    87.663     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.798    86.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.699    88.299     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.098    87.695     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.801    86.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.702    87.438     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.012    87.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.140    87.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.254    88.135     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.556    87.432     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.044    87.892     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.047    87.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.046    87.894     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.209    87.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.824    88.490     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.025    87.607     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.850    88.157     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.845    88.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.520    87.450     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.010    88.383     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.339    87.857     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.081    87.768     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.568    87.364     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.134    87.802     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.186    87.559     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.033    87.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.045    87.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.708    89.573     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.039    87.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.957    88.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.682    87.227     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.543    87.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    49.648    89.095     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    50.103    87.814     0.000   222.000   222.000
    50.103    87.814     0.000   444.000   444.000
END
